| Home | Libraries | People | FAQ | More

## Function template move_backward

boost::move_backward

## Synopsis

    // In header: <boost/move/move.hpp>

    template<typename I, typename O> O move_backward(I f, I l, O result);

## Description

Effects: Moves elements in the range [first,last) into the range [result - (last-first),result) starting from last - 1 and proceeding to first. For each positive integer n <= (last - first), performs *(result - n) = boost::move(*(last - n)).

Requires: result shall not be in the range [first,last).

Returns: result - (last - first).

Complexity: Exactly last - first assignments.